# LIST\_OF\_ANY

### Description

`LIST_OF_ANY` is the flexible counterpart of `LIST`.<br>

It looks at all values you provide in between a set of brackets, each separated by a comma, and returns them as a single list.

If you are working with text values, consider using [`JOIN_OF_ANY`](/rule-language/operators/unknown-operators/join_of_any.md) instead.<br>

### Example

```
p is Person
LIST_OF_ANY(
    p.title,
    p.first_name, 
    p.middle_name, 
    p.last_name
)
```

This [expression](/rule-language/expressions.md) extracts the name components of a person, including title. If the [case](/guides/glossary/case.md) is about President (p.title) John (p.first\_name) Fitzgerald (p.middle\_name) Kennedy (p.last\_name), this expression has as output:

`['President', 'John', 'Fitzgerald', 'Kennedy']`

If only a first and last name have been filled out in the case, the return of this `LIST_OF_ANY` expression is:

`['John', 'Kennedy']`

Had the expression used the `LIST` operator instead, and only ‘John’ and ‘Kennedy’ are known values, the system would have asked users to provide the missing values ‘title’ and ‘middle\_name’, before giving you a result.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/unknown-operators/list_of_any.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
